be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDADDRESSvalues

- java.lang.Object
- - java.lang.Enum<CDADDRESSvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDADDRESSvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDADDRESSvalues>

      public enum CDADDRESSvalues
      extends Enum<CDADDRESSvalues>

  Java class for CD-ADDRESSvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ADDRESSvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="home"/>
           <enumeration value="other"/>
           <enumeration value="vacation"/>
           <enumeration value="work"/>
           <enumeration value="careaddress"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAREADDRESS`
    `HOME`
    `OTHER`
    `VACATION`
    `WORK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDADDRESSvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDADDRESSvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDADDRESSvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOME

          public static final CDADDRESSvalues HOME

    - #### OTHER

          public static final CDADDRESSvalues OTHER

    - #### VACATION

          public static final CDADDRESSvalues VACATION

    - #### WORK

          public static final CDADDRESSvalues WORK

    - #### CAREADDRESS

          public static final CDADDRESSvalues CAREADDRESS

  - ### Method Detail

    - #### values

          public static CDADDRESSvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDADDRESSvalues c : CDADDRESSvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDADDRESSvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDADDRESSvalues fromValue(String v)

Connector Packaging generic 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.